> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.icepanel.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.icepanel.io/_mcp/server.

# Dependencies JSON

GET https://api.icepanel.io/v1/landscapes/{landscapeId}/versions/{versionId}/model/objects/{modelObjectId}/dependencies/export/json

Export object dependencies as JSON

Reference: https://developer.icepanel.io/api-reference/model/objects/export/dependencies-json

## Authentication

- `X-API-Key` header (required) — API key authentication
- `Authorization` header (bearer token, required) — Bearer token authentication

## Request

### Path parameters

- `landscapeId` (string, required)
- `versionId` (string, required)
- `modelObjectId` (string, required)

## Response

### 200

OK

- `incomingConnectionObjects` (map from string to list of ModelObjectExport, required)
- `incomingConnections` (list of ModelConnectionExport, required)
- `outgoingConnectionObjects` (map from string to list of ModelObjectExport, required)
- `outgoingConnections` (list of ModelConnectionExport, required)

## Errors

### 400 Bad Request Error

Bad Request

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 401 Unauthorized Error

Unauthorized

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 403 Forbidden Error

Forbidden

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 404 Not Found Error

Not Found

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 422 Unprocessable Entity Error

Unprocessable Entity

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 429 Too Many Requests Error

Resource Exhausted

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 500 Internal Server Error

Internal Server

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

## Types

### ModelObjectExport

- `caption` (string, required)
- `description` (string, required)
- `domainId` (string, required)
- `external` (boolean, required)
- `groupIds` (list of string, required)
- `icon` (ModelObjectIcon, required, nullable)
- `id` (string, required)
- `links` (map from string to RealityLink, required)
- `name` (string, required)
- `parentId` (string, required, nullable)
- `parentIds` (list of string, required)
- `status` (enum, required)
  - Allowed values: `deprecated`, `future`, `live`, `removed`
- `tagIds` (list of string, required)
- `teamIds` (list of string, required)
- `technologyIds` (list of string, required)
- `type` (enum, required)
  - Allowed values: `actor`, `app`, `component`, `group`, `root`, `store`, `system`
- `technologies` (map from string to TechnologyExport, optional)

### ModelConnectionExport

- `description` (string, required)
- `direction` (enum, required, nullable)
  - Allowed values: `outgoing`, `bidirectional`
- `id` (string, required)
- `name` (string, required)
- `originId` (string, required)
- `status` (enum, required)
  - Allowed values: `deprecated`, `future`, `live`, `removed`
- `tagIds` (list of string, required)
- `targetId` (string, required)
- `technologyIds` (list of string, required)
- `viaId` (string, required, nullable)
- `links` (map from string to RealityLink, optional)

### ModelObjectIcon

- `catalogTechnologyId` (string, required)
- `name` (string, required)
- `urlDark` (string, optional) — Icon that only works on dark backgrounds
- `urlLight` (string, optional) — Icon that only works on light backgrounds
- `url` (string, optional, deprecated) — Use either urlDark or urlLight

### RealityLink

- `index` (double, required)
- `id` (string, required) — Random 20 character identifier
- `connectionResolveUrl` (string, optional) — Resolve the connector from a publicly accessible URL
- `connector` (RealityConnector, optional) — Links this to a resource in reality, if set periodic checks are performed and the status is updated
- `customName` (string, optional, nullable) — Friendly name for the link set by the user
- `url` (string, optional) — URL pointing to the resource in reality, resolved from the last sync
- `errorMessage` (string, optional) — Error message that was received during the last sync
- `name` (string, optional) — Friendly name describing the resource in reality, resolved from the last sync
- `status` (enum, optional) — Response that was received from the last sync with reality
  - Allowed values: `valid`, `invalid`

### TechnologyExport

- `color` (enum, required)
  - Allowed values: `blue`, `green`, `yellow`, `orange`, `red`, `beaver`, `dark-blue`, `purple`, `pink`, `white`, `grey`, `black`
- `id` (string, required)
- `name` (string, required)
- `provider` (enum, required)
  - Allowed values: `aws`, `azure`, `gcp`, `microsoft`, `salesforce`, `atlassian`, `apache`, `supabase`
- `type` (enum, required)
  - Allowed values: `data-storage`, `deployment`, `framework-library`, `gateway`, `other`, `language`, `message-broker`, `network`, `protocol`, `runtime`, `service-tool`
- `description` (string, optional)
- `docsUrl` (string, optional)
- `iconUrlDark` (string, optional)
- `iconUrlLight` (string, optional)
- `nameShort` (string, optional)
- `updatesUrl` (string, optional)
- `websiteUrl` (string, optional)
- `iconUrl` (string, optional, deprecated) — Use either iconUrlDark or iconUrlLight

### RealityConnector

### RealityConnectorUrl

- `type` (enum, required)
  - Allowed values: `url`
- `url` (string, required)

### RealityConnectorAzureDevopsRepo

- `accountName` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `azure-devops-repo`

### RealityConnectorAzureDevopsBranch

- `accountName` (string, required)
- `branchName` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `azure-devops-branch`

### RealityConnectorAzureDevopsFolder

- `accountName` (string, required)
- `branchName` (string, required)
- `path` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `azure-devops-folder`

### RealityConnectorAzureDevopsFile

- `accountName` (string, required)
- `branchName` (string, required)
- `path` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `azure-devops-file`

### RealityConnectorBitbucketRepo

- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-repo`
- `workspaceId` (string, required)

### RealityConnectorBitbucketBranch

- `branchName` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-branch`
- `workspaceId` (string, required)

### RealityConnectorBitbucketFolder

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-folder`
- `workspaceId` (string, required)

### RealityConnectorBitbucketFile

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-file`
- `workspaceId` (string, required)

### RealityConnectorBitbucketServerRepo

- `projectId` (double, required)
- `repositoryId` (double, required)
- `serverUrl` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-server-repo`

### RealityConnectorBitbucketServerBranch

- `branchName` (string, required)
- `projectId` (double, required)
- `repositoryId` (double, required)
- `serverUrl` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-server-branch`

### RealityConnectorBitbucketServerFolder

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (double, required)
- `repositoryId` (double, required)
- `serverUrl` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-server-folder`

### RealityConnectorBitbucketServerFile

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (double, required)
- `repositoryId` (double, required)
- `serverUrl` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-server-file`

### RealityConnectorGithubRepo

- `ownerId` (double, required)
- `repositoryId` (double, required)
- `type` (enum, required)
  - Allowed values: `github-repo`

### RealityConnectorGithubBranch

- `branchName` (string, required)
- `ownerId` (double, required)
- `repositoryId` (double, required)
- `type` (enum, required)
  - Allowed values: `github-branch`

### RealityConnectorGithubFolder

- `branchName` (string, required)
- `ownerId` (double, required)
- `path` (string, required)
- `repositoryId` (double, required)
- `type` (enum, required)
  - Allowed values: `github-folder`

### RealityConnectorGithubFile

- `branchName` (string, required)
- `ownerId` (double, required)
- `path` (string, required)
- `repositoryId` (double, required)
- `type` (enum, required)
  - Allowed values: `github-file`

### RealityConnectorGitlabRepo

- `projectId` (double, required)
- `type` (enum, required)
  - Allowed values: `gitlab-repo`

### RealityConnectorGitlabBranch

- `branchName` (string, required)
- `projectId` (double, required)
- `type` (enum, required)
  - Allowed values: `gitlab-branch`

### RealityConnectorGitlabFolder

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (double, required)
- `type` (enum, required)
  - Allowed values: `gitlab-folder`

### RealityConnectorGitlabFile

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (double, required)
- `type` (enum, required)
  - Allowed values: `gitlab-file`

## Examples

**Response**

```json
{
  "incomingConnectionObjects": {},
  "incomingConnections": [
    {
      "description": "string",
      "direction": "outgoing",
      "id": "string",
      "name": "string",
      "originId": "string",
      "status": "deprecated",
      "tagIds": [
        "string"
      ],
      "targetId": "string",
      "technologyIds": [
        "string"
      ],
      "viaId": "string",
      "links": {}
    }
  ],
  "outgoingConnectionObjects": {},
  "outgoingConnections": [
    {
      "description": "string",
      "direction": "outgoing",
      "id": "string",
      "name": "string",
      "originId": "string",
      "status": "deprecated",
      "tagIds": [
        "string"
      ],
      "targetId": "string",
      "technologyIds": [
        "string"
      ],
      "viaId": "string",
      "links": {}
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/model/objects/modelObjectId/dependencies/export/json"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/model/objects/modelObjectId/dependencies/export/json"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```csharp
using RestSharp;

var client = new RestClient("https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/model/objects/modelObjectId/dependencies/export/json");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```